package com.example.moresecodevisualizer;

import java.util.ArrayList;
import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.util.Log;
import android.widget.ImageView;

/**
 * 
 * This activity is created for displaying flashes in full screen view
 * @author SJSU Students
 */
public class FullView extends Activity {	
	@Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.fullflash);
        
        Bundle bundle = getIntent().getExtras();        
        ai = bundle.getIntegerArrayList("intensityArray");
        long al[] = bundle.getLongArray("flashDurationArray");
        long x = bundle.getLong("lastFlashDuration");
        
        ivCurrent = (ImageView)findViewById(R.id.morscCodeImageViewFull1);

        long upm = SystemClock.uptimeMillis();
        //the first flash will START after 1 second
   		for (int j=0;j<al.length;j++)
   			al[j] = upm + 1000 + al[j];
   		
   		for (int i = 0; i < al.length; i++)
        	handler.postAtTime(new FlashTask((int)(ai.get(i))), (Long)(al[i]));
        
   	    Runnable finishTask = new Runnable() {
   	    	public void run() {
   	    		Log.i("FullView","Finishing FullView Activity....");
   	    		FullView.this.finish();
   	    	}
   	    };
   	    handler.postAtTime(finishTask, (Long)(al[al.length-1]+x));
    }
	
	private Handler handler = new Handler();
	private ImageView ivCurrent;
	private ArrayList<Integer> ai;
	private class FlashTask implements Runnable {
		public FlashTask(int c){
			this.intensity = c;
		}
		public void run(){
			ivCurrent.setBackgroundColor(intensity);
			Log.i("MorseCodeVisualizer","Fullview Flashtask flashing!!!");
		}
		private int intensity;
	}
}